Subject: bug#51277: 27.1; menu-set-font not loading correct font

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Oct 2021 15:36:51 +0300

> Date: Wed, 20 Oct 2021 07:30:21 -0400
> From: Jesse Sheidlower <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> There is no difference in the result: whether I restrict emacs to xfont,
> ftfont, or ftcrhb, it still loads the "Bold" file even when I select the
> "Book" version from menu-set-font.
> 
> Where does this leave us? It does still seem like a bug (albeit one that
> apparently affects very few people).

Are you familiar with debugging with Edebug and/or with running Emacs
under GDB?  If so, perhaps you could step into the relevant code and
tell us what happens there with this font, so we could understand the
root cause(s) of this.

Or maybe someone else who can install that font and sees the problem
could do that.